#!perl -w

# This is a perl script to convert ascii pc files into unix eol files
# it copies files into the ncx dir, files that are not in the distribution
# but are needed for running locally

$master_dir = "c:/projects/cloudy/current/unix/";


# bring in the perl module that includes copy
use File::Copy;

# this loops over all files in the current directory
# and copyies unix version to subdir ncx, which should be empty
# costar models
while( defined( $input = glob("*.fluxes") ) )
{
	print( "$input going to " );
	$output = "$master_dir"."ncx/"."$input";
	print("$output\n");
	# actually execute the code
	system "dos2unix < $input  > $output";
}

# rauch, kurucz, werner stars
while( defined( $input = glob("*.ascii") ) )
{
	print( "$input going to " );
	$output = "$master_dir"."ncx/"."$input";
	print("$output\n");
	# actually execute the code
	system "dos2unix < $input  > $output";
}

# just picks up kurucz.list
while( defined( $input = glob("*.list") ) )
{
	print( "$input going to " );
	$output = "$master_dir"."ncx/"."$input";
	print("$output\n");
	# actually execute the code
	system "dos2unix < $input  > $output";
}



print("\n=========================\n");
print("All files have been copies to ncx subdir\n");
print("=========================\n");

print( "data copy complete\n");

